using ftt.Core.Managing;
using UnityEngine;
using UnityEngine.UI;

namespace UI
{
    public class DefeatButtonPanel : MonoBehaviour
    {
        [SerializeField] Button startMenu;
        [SerializeField] Button tryAgain;

        // Start is called before the first frame update
        void Start()
        {
            EntrySetup();
        }


        void EntrySetup()
        {
            startMenu.onClick.AddListener(StartMenu);
            tryAgain.onClick.AddListener(TryAgain);
        }

        void StartMenu()
        {
            GameManager.GetManager.LevelManager.ResetGame();
        }

        void TryAgain()
        {
            GameManager.GetManager.LevelManager.ResetGame();
        }
    }
}
